org.apache.log4j.receivers.db

## Class FullCycleDBTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.receivers.db.FullCycleDBTest

- All Implemented Interfaces:
    junit.framework.Test

      public class FullCycleDBTest
      extends junit.framework.TestCase

  This test case writes a few events into a databases and reads them back comparing the event written and read back.

  It relies heavily on the proper configuration of its environment in joran config files as well system properties.

  See also the Ant build file in the tests/ directory.

  Author:
    Ceki Gülcü

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullCycleDBTest(String arg0)` Constructor for DBReeceiverTest.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `protected void` | `tearDown()`
    `void` | `testAllFields()` This test starts by writing a single event to a DB using DBAppender and then reads it back using DBReceiver.
    `void` | `testSingleOutput()` This test starts by writing a single event to a DB using DBAppender and then reads it back using DBReceiver.
    `static junit.framework.Test` | `XXsuite()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FullCycleDBTest

          public FullCycleDBTest(String arg0)

      Constructor for DBReeceiverTest.
      Parameters:
        `arg0` -

  - ### Method Detail

    - #### setUp

          protected void setUp()
                        throws Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### tearDown

          protected void tearDown()
                           throws Exception

      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### testSingleOutput

          public void testSingleOutput()
                                throws Exception

      This test starts by writing a single event to a DB using DBAppender and then reads it back using DBReceiver. DB related information is specified within the configuration files.
      Throws:
        `Exception`

    - #### testAllFields

          public void testAllFields()
                             throws IOException

      This test starts by writing a single event to a DB using DBAppender and then reads it back using DBReceiver. The written event includes MDC and repository properties as well as exception info. DB related information is specified within the configuration files.
      Throws:
        `Exception`
        `IOException`

    - #### XXsuite

          public static junit.framework.Test XXsuite()

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.